package com.example.shelltool;

import android.os.IBinder;
import android.os.ServiceManager;
import android.util.DisplayMetrics;
import android.hardware.display.IDisplayManager;


public class Main {

  public static void main(String[] args) {
    
    // The service name comes from the constants defined in android.content.Context     
    IBinder displayBinder = ServiceManager.getService("display");
    IDisplayManager displayManager = IDisplayManager.Stub.asInterface(displayBinder);
    
    try {
      int ids[] = displayManager.getDisplayIds();
      for (int id : ids) {
	int h = displayManager.getDisplayInfo(id).appHeight;
	int w = displayManager.getDisplayInfo(id).appWidth;
	System.out.println("Screensize[" + id + "]: "+ h + " x "+w);
      }
    }
    catch(Throwable t) {
      t.printStackTrace();
    }
  }
}